Skip to main content
GET
/
v1
/
ramp
/
fiat-currencies
curl
curl -X GET "https://api.services.payward.com/v1/ramp/fiat-currencies?country=US&subdivision=CA&page_size=200" \
  -H "API-Key: $PWS_API_KEY" \
  -H "API-Nonce: $PWS_API_NONCE" \
  -H "API-Sign: $PWS_API_SIGN"
{
  "data": [
    {
      "symbol": "USD",
      "name": "US Dollar",
      "type": "fiat"
    },
    {
      "symbol": "EUR",
      "name": "Euro",
      "type": "fiat"
    },
    {
      "symbol": "GBP",
      "name": "British Pound",
      "type": "fiat"
    },
    {
      "symbol": "CAD",
      "name": "Canadian Dollar",
      "type": "fiat"
    }
  ],
  "next_page_token": "MjoyRHuBXSgoe0mDHt-iFALROW46EGdvk_trgja31Vwr7H4"
}

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

Query Parameters

country
string
required

ISO 3166-1 alpha-2 country code. Use GET /v1/ramp/countries to discover supported values.

Maximum string length: 2
subdivision
string

ISO 3166-2 subdivision code suffix (e.g., CA for California when country is US). Use GET /v1/ramp/countries to discover supported values.

page_token
string

Opaque page token returned by a previous response. Omit to start from the beginning. When present, the token is scoped to this endpoint and the original country/subdivision where applicable, carries the page size, and causes any valid page_size value to be ignored.

Required string length: 1 - 512
page_size
integer<int32>
default:50

Maximum number of results to return on the first page. Defaults to 50 if omitted; max 200.

Required range: 1 <= x <= 200

Response

Response

data
object[]
required

Fiat currencies that can be used for Ramp deposits.

next_page_token
string

Opaque token for the next page of results. Absent if there are no more results.

Required string length: 1 - 512